classification
Title: API Functions for PyArray
Type: Stage:
Components: Interpreter Core Versions: Python 2.6
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: teoliphant Nosy List: BreamoreBoy, belopolsky, kohanman, rhettinger, teoliphant
Priority: high Keywords: patch

Created on 2003-06-29 23:48 by kohanman, last changed 2010-08-18 17:20 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
arraymodule.zip kohanman, 2003-06-29 23:48 Patch to existing file Modules/arraymoduole.c, and new Include/arraymodule.h
Messages (7)
msg44141 - (view) Author: Ralph (kohanman) Date: 2003-06-29 23:48
I'd rather send and recieve PyArrays into my C modules
since I often end up with a foo(int count, type *data)
call anyway.  Sure, there's NumPy for this sort of
dirtywork, but this is so much more convienient.
msg44142 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2007-04-03 02:55
This proposal is basically fine.  It will need docs and it can go into Py2.6.
msg64406 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-03-24 09:04
Raising priority as a reminder to myself or anyone who wants to apply, 
test, and document.
msg64454 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2008-03-25 03:11
I think this issue is largely superseded by PEP 3118 
<http://www.python.org/dev/peps/pep-3118>, which is being backported to 
2.6 (see issue2393).  AFAICT, the only functionality not available from 
the new buffer protocol is the ability to create new array objects from 
C code, but this patch does not provide such functionality either.

Travis, can you weigh in on this?  I think it may be useful to expose 
newarrayobject() through some C API compatible with PEP 3118, but 
otherwise this proposal seems redundant.
msg67978 - (view) Author: Travis Oliphant (teoliphant) * (Python committer) Date: 2008-06-11 14:22
I will look at the patch, but generally I'm not inclined to give the
array module more legs because I agree that the desired functionality
should be put into the memoryview object and the buffer protocol.
msg106638 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2010-05-28 05:25
Is there still any interest in pursuing this?  Raymond?
msg114248 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-18 16:42
Closed as no reply to msg106638.
History
Date User Action Args
2010-08-18 17:20:00benjamin.petersonsetresolution: out of date -> rejected
2010-08-18 16:42:23BreamoreBoysetstatus: open -> closed

nosy: + BreamoreBoy
messages: + msg114248

resolution: out of date
2010-05-28 05:25:12belopolskysetmessages: + msg106638
2008-06-11 14:22:17teoliphantsetmessages: + msg67978
2008-06-11 12:12:37rhettingersetassignee: rhettinger -> teoliphant
2008-03-25 03:11:07belopolskysetnosy: + belopolsky, teoliphant
messages: + msg64454
2008-03-24 09:04:08rhettingersetpriority: normal -> high
messages: + msg64406
2003-06-29 23:48:53kohanmancreate